#ens.df <- read.csv(file="/project/inf12w/css/R/data/ensemble_mean_sigma_rrf_allgrids_episav.csv",
# na.strings="-999.90",header=FALSE,col.names=c('Col','Row','Mean','Sig','WFrac'))
#ens.df <- read.csv(file="/project/inf12w/css/R/data/ensemble_mean_sigma_rrf_allgrids_episav_new_13runs.csv",
# na.strings="-999.90",header=FALSE,col.names=c('Col','Row','Mean','Sig','WFrac'))
ens.df <- read.csv(file="/project/inf12w/css/R/data/ensemble_mean_sigma_rrf_allgrids_epismax_new_13runs.csv",
 na.strings="-999.90",header=FALSE,col.names=c('Col','Row','Mean','Sig','WFrac'))

#plot(ens.df$Mean,ens.df$Sig)

xbins <- seq(from=0.775,to=1.225,by=0.05)

xlabs <- c("<0.825","0.825-0.875","0.875-0.925","0.925-0.975",
 "0.975-1.025","1.025-1.075","1.075-1.125","1.125-1.175",">1.175")

mean_bins <- cut(ens.df$Mean[ens.df$WFrac < 1.],xbins,labels=FALSE)

ens.split <- split(ens.df$Sig[ens.df$WFrac < 1.],mean_bins)

#pdf(file="/project/inf12w/css/R/plots/boxplot_ensemble_rrf_sigma_vs_mean_nowater.pdf")
#pdf(file="/project/inf12w/css/R/plots/boxplot_ensemble_rrf_sigma_vs_mean_nowater_new_13runs.pdf")
pdf(file="/project/inf12w/css/R/plots/boxplot_ensemble_rrf_sigma_vs_mean_nowater_new_13runs_epimax.pdf")

boxplot(ens.split,
 names=xlabs,
# xlab="RRF Mean",
 ylab="RRF Standard Deviation",las=2,
 main="RRF Ensemble Standard Deviation vs. RRF Ensemble Mean",
 cex.axis=0.8)
 
dev.off()

#
#
#

#pdf(file="/project/inf12w/css/R/plots/histo_ensemble_rrf_mean_nowater.pdf")
#pdf(file="/project/inf12w/css/R/plots/histo_ensemble_rrf_mean_nowater_new_13runs.pdf")
pdf(file="/project/inf12w/css/R/plots/histo_ensemble_rrf_mean_nowater_new_13runs_epimax.pdf")

hist(ens.df$Mean[ens.df$WFrac < 1.],
 xlim=c(0.75,1.25),ylab="# of Non-Water Grid Cells")

dev.off()
